From 977e315e88eb456e703c8fdb5282f152fdb9b80f Mon Sep 17 00:00:00 2001
From: Sascha Markus <sascha.markus@gmail.com>
Date: Sat, 27 Apr 2019 10:55:10 +0200
Subject: [PATCH 1/2] Feature: Make Whisperback desktop file translatable
 (refs: #6486)

---
 data/whisperback.desktop.in | 12 ++++++++++++
 po/POTFILES.in              |  1 +
 setup.py                    | 19 ++++++++++++-------
 3 files changed, 25 insertions(+), 7 deletions(-)
 create mode 100644 data/whisperback.desktop.in

diff --git a/data/whisperback.desktop.in b/data/whisperback.desktop.in
new file mode 100644
index 0000000..0939b29
--- /dev/null
+++ b/data/whisperback.desktop.in
@@ -0,0 +1,12 @@
+[Desktop Entry]
+Version=1.7.21
+_Name=WhisperBack Error Reporting
+_Comment=Send feedback via encrypted e-mail
+_Keywords=feedback;bug;report;tails;error;
+Type=Application
+Exec=whisperback
+Icon=whisperback
+Categories=Application;System;
+Terminal=false
+StartupNotify=true
+StartupWMClass=whisperback
diff --git a/po/POTFILES.in b/po/POTFILES.in
index 1af2ef9..48bf39a 100644
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -9,5 +9,6 @@ whisperBack/utils.py
 whisperBack/__init__.py
 
 data/whisperback.ui.h
+data/whisperback.desktop.in
 
 whisperback
diff --git a/setup.py b/setup.py
index 2860596..271aac1 100755
--- a/setup.py
+++ b/setup.py
@@ -4,12 +4,12 @@
 ########################################################################
 # WhisperBack - Send feedback in an encrypted mail
 # Copyright (C) 2009-2018 Tails developers <tails@boum.org>
-# 
+#
 # This program is  free software; you can redistribute  it and/or modify
 # it under the  terms of the GNU General Public  License as published by
 # the Free Software Foundation; either  version 3 of the License, or (at
 # your option) any later version.
-# 
+#
 # This program  is distributed in the  hope that it will  be useful, but
 # WITHOUT   ANY  WARRANTY;   without  even   the  implied   warranty  of
 # MERCHANTABILITY  or FITNESS  FOR A  PARTICULAR PURPOSE.   See  the GNU
@@ -20,7 +20,7 @@
 ########################################################################
 
 ########################################################################
-# 
+#
 # setup.py
 #
 # Setup file
@@ -39,9 +39,14 @@ class build_gtkbuilderi18n(Command):
     def finalize_options(self):
         pass
     def run(self):
-        subprocess.call (["intltool-extract",
-                          "--type=gettext/glade",
-                          "data/whisperback.ui"])
+        subprocess.call(["intltool-extract",
+                         "--type=gettext/glade",
+                         "data/whisperback.ui"])
+        subprocess.call(["intltool-merge",
+                         "--desktop-style",
+                         "po",
+                         "data/whisperback.desktop.in",
+                         "data/whisperback.desktop"])
 
 class build_man(Command):
     description = "generate the man"
@@ -50,7 +55,7 @@ class build_man(Command):
     def finalize_options(self):
         pass
     def run(self):
-        subprocess.call (["txt2tags",
+        subprocess.call(["txt2tags",
                          "--outfile=doc/whisperback.1",
                          "doc/whisperback.t2t"])
 
-- 
2.11.0

